#### Description:

This function returns a logical value indicating if a supplied point is inside a supplied Region.

#### Synopsis

int astPointInRegion( AstRegion ∗this, const double point[] )

#### Parameters:

##### this

Pointer to the Region.

##### point

Pointer to an array holding the axis values of the point to be tested. The number of values in this array should match the number of axes in the supplied Region.

#### Returned Value

##### astPointInRegion()

Zero if the point is outside the Region, and non-zero otherwise.

#### Notes:

- If the supplied value is AST__BAD on every axis, then 0 is always returned.

- If many points need to be tested, then it is usually more efficient to use the Region as a Mapping to transform all the points. This can be done using one of the Mapping transformation methods (astTran <X >). If a transformed axis value is AST__BAD then the corresponding input point is outside the Region.

- Zero will be returned if an error occurs.

Copyright (C) 2021 East Asian Observatory